<?xml version="1.0"?>

<!DOCTYPE suppressions PUBLIC
        "-//Puppy Crawl//DTD Suppressions 1.1//EN"
        "http://www.puppycrawl.com/dtds/suppressions_1_1.dtd">

<suppressions>
    <!--
      Turn off all checks for Generated and Test code. Fixes issues with using
      Eclipse plug-in.
      -->
    <suppress checks="[a-zA-Z0-9]*" files="R\.java"/>
    <suppress checks="[a-zA-Z0-9]*" files=".*/com/mediatek/glui/.*"/>
    <suppress checks="MethodLengthCheck" files="GLTextureView.java"/>
    <suppress checks="IllegalCatchCheck" files="GLTextureView.java"/>
    <suppress checks="EmptyBlockCheck" files="GLTextureView.java"/>
    <suppress checks="IllegalCatchCheck" files="GLWallpaperService.java"/>
    <suppress checks="ParameterNumberCheck" files="Vector3D.java"/>
    <suppress checks="ConstantNameCheck" files="Vector3D.java"/>
    <suppress checks="MethodLengthCheck" files="Alpha.java"/>
</suppressions>